#the improved trainwreck generator - now with extra flames and smoldering wreckage
#original by EffBee - improvements by genericuser

import linecache
import random

#FortuneCookie - a small function for grabbing a random line from a textfile.
#Not very efficient at the moment.
def FortuneCookie(textfile):
    try:
        textSource = open(textfile, 'r')
        numberOfLines = len(textSource.readlines())
        return linecache.getline(textfile, random.randint(1, numberOfLines)).strip()
    except IOError:
        return "Couldn't get line from " + textfile

def getRandomCharacter():
    return FortuneCookie("data//characters.txt");

def makeGimmick():
    return 'Your trainwreck must utilize ' + FortuneCookie("data//gimmicks.txt") + ' as a gimmick.'

def getCollectible() :
    if (random.random() > 0.1):
        return FortuneCookie("data//collectibles.txt");
    else :
        return getRandomCharacter()

def makeObjective() :
    return 'whose goal is to ' + ((random.random() > 0.25) and (FortuneCookie("data//interactions.txt") + ' ' + FortuneCookie("data//characters.txt") + '.') or ('collect every ' + getCollectible() + '.'))

def makeProtagonist() :
    return 'starring ' + FortuneCookie("data//characters.txt") + ' as the protagonist,'

def makeGenre():
    return 'You are tasked with making ' + ((random.random() > 0.25) and 'a multiplayer ' or 'a ') + FortuneCookie("data//genres.txt") + ' game,'

def generateIdea() :
    return makeGenre() + ' ' + makeProtagonist() + ' ' + makeObjective() + ' ' + makeGimmick()
    

print generateIdea()
exit(0)
